# Interface methods for submodule: StreamingImageIOBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: StreamingImageIOBase
class StreamingImageIOBaseProxy(_ImageIOBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def CanStreamWrite(self) -> bool:
		""""""
		...

	def CanStreamRead(self) -> bool:
		""""""
		...

	def GenerateStreamableReadRegionFromRequestedRegion(self, requestedRegion):
		""""""
		...

	def GetActualNumberOfSplitsForWriting(self, numberOfRequestedSplits: int, pasteRegion, largestPossibleRegion) -> int:
		""""""
		...

